-- wengwengweng

local Class = require("lib/vendor/classic")
local Props = require("lib/core/props")
local Pixel = Class:extend()

Pixel:implement(Props.Pos)
Pixel:implement(Props.Size)
Pixel:implement(Props.Color)

function Pixel:new(w, h)

	self:setPos(0, 0)
	self:setSize(w, h)
	self:setColor({ 255, 255, 255, 255 })

end

function Pixel:draw()

	love.graphics.setColor(self.color)

	love.graphics.rectangle("fill",
					  self.pos.x,
					  self.pos.y,
					  self.size.width,
					  self.size.height)

	love.graphics.setColor({ 255, 255, 255, 255 })

end

return Pixel
