-- wengwengweng

local Class = require("lib/vendor/classic")
local Text = require("lib/components/text")
local Timer = require("lib/components/timer")
local Props = require("lib/core/props")
local Poojoobb = Class:extend()

Poojoobb:implement(Props.Pos)
Poojoobb:implement(Props.Size)

function Poojoobb:new(x, y)

	self:setPos(x, y)
	self:setSize(220, 132)
	self.title = Text("POOJOOBB"):setPos(self.pos.x, self.pos.y):setFont(assets.fonts.cavestory(32))
	self.currentLevel = 1

	self.timer = Timer.every((love.math.random() + 0.1) * 3, function()

		self.timer:setTime((love.math.random() + 0.1) * 3)
		self.currentLevel = self.currentLevel == 3 and 1 or self.currentLevel + 1

	end)

end

function Poojoobb:drawLevel()

		local x, y = self:getPos()
		local w, h = self:getSize()

	if (self.currentLevel == 1) then

		love.graphics.setColor({ 0, 255, 0 })
		love.graphics.setLineWidth(2)
		love.graphics.rectangle("line", x + w / 2 - 35, y + 54, 70, 70)
		love.graphics.setColor({ 255, 255, 255, 255 })

	elseif (self.currentLevel == 2) then

		love.graphics.setColor({ 0, 0, 255 })
		love.graphics.setLineWidth(2)
		love.graphics.circle("line", x + w / 2, y + 92, 40)
		love.graphics.setColor({ 255, 255, 255, 255 })

	elseif (self.currentLevel == 3) then

		local vertices = { x + w / 2, y + 52, x + w / 2 - 48, y + 120, x + w / 2 + 48, y + 120 }

		love.graphics.setColor({ 255, 255, 0 })
		love.graphics.setLineWidth(2)
		love.graphics.polygon("line", vertices)
		love.graphics.setColor({ 255, 255, 255, 255 })

	end

end

function Poojoobb:draw()

	self.title:draw()
	self:drawLevel()

end

function Poojoobb:update(dt)

	self.timer:update(dt)

end

return Poojoobb
