-- wengwengweng

local Timer = require("lib/components/timer")
local Animation = require("lib/components/animation")
local Eye = Animation:extend()

function Eye:new(x, y)

	Animation.new(self)

	self:add("blink", assets.sprites.eye_blink, 5, 0.4)
	self:play("blink")
	self:setWidth(320):setPos(x, y)

	self.blink = Timer.every(love.math.random(1, 12), function()

		self.blink:setTime(love.math.random(3, 12))
		self:play("blink")

	end)

end

function Eye:update(dt)

	Animation.update(self, dt)
	self.blink:update(dt)

end

return Eye
